Element Custom Field Options
Manage selectable options for element custom fields.
Create option
Creates a custom-field option for the addressed selection field.
path Parameters
idCreate option › Request Body
nameChoice option name.
Required on create. null is invalid.
externalIdChoice option ID in the external system.
Omit or set null to leave it unset on create.
Create option › Responses
Option created
externalIdChoice option ID in the external system.
idChoice option ID.
nameChoice option name.
Get option by external ID
Replace option by external ID
Replaces the addressed custom-field option.
path Parameters
idexternalIdReplace option by external ID › Request Body
nameChoice option name.
null is invalid.
externalIdChoice option ID in the external system.
Omit or set null to clear it.
Replace option by external ID › Responses
OK
externalIdChoice option ID in the external system.
idChoice option ID.
nameChoice option name.
Update option by external ID
Partially updates the addressed custom-field option.
path Parameters
idexternalIdUpdate option by external ID › Request Body
externalIdOption ID in the external system.
Omit to leave it unchanged. Set null to clear it.
nameOption name.
Omit to leave it unchanged. null is invalid.
Update option by external ID › Responses
OK
externalIdChoice option ID in the external system.
idChoice option ID.
nameChoice option name.
Get option by ID
Replace option by ID
Replaces the addressed custom-field option.
path Parameters
idoptionIdReplace option by ID › Request Body
nameChoice option name.
null is invalid.
externalIdChoice option ID in the external system.
Omit or set null to clear it.
Replace option by ID › Responses
OK
externalIdChoice option ID in the external system.
idChoice option ID.
nameChoice option name.
Update option by ID
Partially updates the addressed custom-field option.
path Parameters
idoptionIdUpdate option by ID › Request Body
externalIdOption ID in the external system.
Omit to leave it unchanged. Set null to clear it.
nameOption name.
Omit to leave it unchanged. null is invalid.
Update option by ID › Responses
OK
externalIdChoice option ID in the external system.
idChoice option ID.
nameChoice option name.